Opened 5 years ago

Closed 4 years ago

#928 closed defect (fixed)

Can't use If-Modified-Since with http://nginx.org/en/CHANGES

Reported by: Bruno Bigras Owned by:
Priority: minor Milestone:
Component: other Version: 1.9.x
Keywords: Cc:
uname -a:
nginx -V: not applicable

Description

I'm not sure it it's a bug. And it's a minor thing so you may not care about it.

I'm trying to track http://nginx.org/en/CHANGES to be notified when there's a new release (an RSS feed would be nice) and I'm saving Last-Modified and the ETag expecting to get a '304 not modified' on the next fetch and save a tiny bit of bandwitdh.

Today if I run 'curl -I http://nginx.org/en/CHANGES' multiple times I get two differents Last-Modified and etag so I can't use 'If-Modified-Since' and 'If-None-Match'.

$ curl -I http://nginx.org/en/CHANGES
HTTP/1.1 200 OK
Server: nginx/1.9.12
Date: Wed, 09 Mar 2016 21:26:01 GMT
Content-Type: text/plain; charset=utf-8
Content-Length: 259440
Last-Modified: Wed, 24 Feb 2016 15:10:05 GMT
Connection: keep-alive
Keep-Alive: timeout=15
ETag: "56cdc7cd-3f570"
Accept-Ranges: bytes

$ curl -I http://nginx.org/en/CHANGES
HTTP/1.1 200 OK
Server: nginx/1.9.12
Date: Thu, 10 Mar 2016 20:15:40 GMT
Content-Type: text/plain; charset=utf-8
Content-Length: 259440
Last-Modified: Wed, 24 Feb 2016 15:10:14 GMT
Connection: keep-alive
Keep-Alive: timeout=15
ETag: "56cdc7d6-3f570"
Accept-Ranges: bytes

Change History (4)

comment:1 by Valentin V. Bartenev, 5 years ago

JFYI, there is an RSS feed for news: http://nginx.org/index.rss

comment:2 by maxim, 5 years ago

And there is a full history available in the mercurial repo (with rss feed as well):

http://hg.nginx.org/nginx/log/tip/docs/xml/nginx/changes.xml

and all commits to nginx go to nginx-devel maillist:

http://mailman.nginx.org/mailman/listinfo/nginx-devel

comment:3 by Bruno Bigras, 4 years ago

Thanks for the rss feeds guys. I'll use them instead.

You can close this ticket if you want.

comment:4 by maxim, 4 years ago

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.